@use '../../../global/styles/styles-variables' as *;
@use 'styles/notification-error-page.variables' as *;


:host {
	@include digi-notification-error-page--variables;

	.digi-notification-error-page {
		margin: 0;
		--digi--container-width--largest: var(--digi--notification-error-page--max-width);
		--digi--container-gutter--largest: var(--digi--notification-error-page--gutter); //Original padding + extra padding of 48px
		max-width: var(--digi--notification-error-page--max-width);
		padding-left: var(--digi--notification-error-page--gutter);
		padding-right: var(--digi--notification-error-page--gutter);

		&__grid {

			padding-top: var(--digi--notification-error-page--padding-top--mobile);
			padding-bottom: var(--digi--notification-error-page--padding-top--mobile);
			display: flex;
			flex-wrap: wrap;
			width: 100%;

			.digi-notification-error-page__content {
				width: 100%;
			}

			.digi-notification-error-page__picture {
				width: 100%;
				margin-bottom: 20px;
			}
		}

		@media (min-width: $digi--breakpoint--medium) {
			--digi--container-width--largest: var(--digi--notification-error-page--max-width);
			--digi--container-gutter--largest: var(--digi--notification-error-page--gutter); //Original padding + extra padding of 48px
			&__grid {
				padding-top: var(--digi--notification-error-page--padding-top--tablet);
				gap: 54px;
				justify-content: space-between;

				.digi-notification-error-page__content {
					flex: 1 0 0;
					width: auto;
					order: 1;
				}

				.digi-notification-error-page__picture {
					width: auto;
					order: 2;
					margin-bottom: 0;
				}
			}

		}

		@media(min-width: $digi--breakpoint--x-large) {		
			--digi--container-width--largest: var(--digi--notification-error-page--max-width);
			--digi--container-gutter--largest: var(--digi--notification-error-page--gutter); //Original padding + extra padding of 48px
			&__grid {
				padding-top: var(--digi--notification-error-page--padding-top--desktop);

				.digi-notification-error-page__content {
					flex: 1 0 0;
					width: auto;
					order: 1;
					max-width: 510px; //Because design
				}

				.digi-notification-error-page__picture {
					width: auto;
					order: 2;
				}
			}
		}

		&__picture {
			margin: 0;
		}

		&__content {
			&__heading {				
				margin: 0;
				margin-bottom: 16px;
			}

			&__bodytext {				
				margin: 0;
				margin-bottom: 48px;
			}

			
			&__search {
				margin: 0;
				margin-bottom: 24px;
				max-width: 407px;
			}

			&__links {
				margin: 0;
				[slot=links],
				::slotted([slot^='links']),
				ul,
				ol {
					list-style: none;
					padding: 0;
					margin: 0;
				}
			}
		}

		[slot=links],
		::slotted([slot^='links']) {
			list-style: none;
			padding: 0;
			margin: 0;
		}
	}
}